<?php


include(dirname(__FILE__).'/../../config/config.inc.php');
include(dirname(__FILE__).'/paykeeper.php');


$pk = new Paykeeper();

$secret_seed = Configuration::get('PAYKEEPER_SECRET', null);
$id = $_POST['id'];
$sum = $_POST['sum'];
$clientid = $_POST['clientid'];
$orderid = $_POST['orderid'];
$secure_key = $_POST['service_name'];
$key = $_POST['key'];

if ($key != md5 ($id . number_format($sum, 2, ".", "").
                             $clientid.$orderid.$secret_seed))
{
  echo "Error! Hash mismatch";
  exit;
}

$message = "OK ".md5($id.$secret_seed);

$pk->validateOrder((int)($orderid), Configuration::get('PS_OS_PAYMENT'), 
                                    (float)($_POST['sum']), $pk->displayName, 
                                    "Оплата успешно произведена через платежную платформу PayKeeper", 
                                    array(), NULL, false, $secure_key);
$context = Context::getContext();

if (!is_null($context->cart)) {
    $context->cart->delete();
    $context->cart->update();
}

echo $message;
